﻿@using SSCMvc.Webutil;
@using SSCMvc.Models;
@model IEnumerable<SSCMvc.Models.PendingVisaStudentBean>
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section scripts{

    <script src="~/Content/datatable/jquery.dataTables.min.js"></script>
    <link href="~/Content/datatable/jquery.dataTables.css" rel="stylesheet" />

    <script type="text/javascript">
        $(document).ready(function () {
            var lastIdx = null;
            var table = $('#example').DataTable({
                "pageLength": 100
            });

            $('#example tbody')
                .on('mouseover', 'td', function () {
                    var colIdx = table.cell(this).index().column;

                    if (colIdx !== lastIdx) {
                        $(table.cells().nodes()).removeClass('highlight');
                        $(table.column(colIdx).nodes()).addClass('highlight');
                    }
                })
                .on('mouseleave', function () {
                    $(table.cells().nodes()).removeClass('highlight');
                });
        });
    </script>


    <style type="text/css">
        div.box div.overlay { display: none; }
        span:hover { color: orangered !important; font-weight: 700; }
        span { color: #369ECE !important; }
    </style>

    <script type="text/javascript">
        $(function () {
            $(".box").hover(function () {
                $(this).find(".overlay").fadeIn();
            }
                            , function () {
                                $(this).find(".overlay").fadeOut();
                            }
                           );
        });
    </script>

    <script src="~/Scripts/HighestQuali.js"></script>

    <script type="text/javascript">
        $(document).ready(function () {
            $("#dateofwnquiry").datepicker();
            $("#tdate").datepicker();
            $("#UserList").css('width', '150px');
            $("#txtstatus").val($("#hdnstatus").val());
            $("#txtentertype").val($("#hdnentertype").val());
            $("#pagng").css('width', '80px');
            $("#txtRoll").css('width', '150px');
            $("#txtName").css('width', '150px');
            $("#txtMobile").css('width', '100px');
            $("#txtentertype").css('width', '180px');
            $("#txtstatus").css('width', '80px');
            $("#txtpageno").css('width', '100px');
            $("#txtlastupdated").css('width', '120px');

        });

    </script>
    <script type="text/javascript">

        $("#btnSearch").click(function () {

            searchfun();

        });

        function Submit() {
            searchfun();
        }

        function searchfun() {

            var name = $("#txtName").val();
            var mobile = $("#txtMobile").val();
            var txtentertype = $("#txtentertype option:selected").val();
            var txtstatus = $("#txtstatus").val();
            var txtlastupdated = $("#txtlastupdated option:selected").val();
            var rollno = $("#txtRoll").val();

            window.location.href = "/MaEnqFollow/PendingVisaFollowUp?name=" + name + "&&mobile=" + mobile + "&&txtentertype=" + txtentertype + "&&txtstatus=" + txtstatus + "&&txtlastupdated=" + txtlastupdated + "&rollno=" + rollno;

            $("#txtlastupdated").val($("#hdnlastupdated").val());

        }
        $(document).ready(function () {
            $(":text").keypress(function (event) {
                //filter enter key only
                if (event.keyCode == 13) {
                    searchfun();
                }
                return true;
            });


        });
    </script>
    <script type="text/javascript">
        $("#pagng").css('width', '80px');
        $("#txtpageno").css('width', '100px');
        $(function () {
            $(".table").tablesorter({ widthFixed: true })
                .tablesorterPager({ container: $("#pager"), size: $(".pagesize option:selected").val() });
        });
    </script>
}
@{
    SSCMvc.Models.SSCWebDBEntities1 db = new SSCMvc.Models.SSCWebDBEntities1();
    CommonUtil cmutil = new CommonUtil();
}
<div class="header">
    <div class="stats">
    </div>
    <h1 class="page-title">
        Pending List of Visa Follow Up
    </h1>
</div>
<ul class="breadcrumb">
    @{string utype = Request.Cookies[CommonUtil.CookieUsertype].Value;
        string refadd = CommonUtil.HomeAddress(utype);
    }
    <li><a href="@refadd">Home</a> <span class="divider">/</span></li>
    <li class="active">Dashboard</li>
</ul>
<div style="margin-top: 40px" align="center">
    <table align="center" width="80%">
        <tr>
            <th align="left">
                REFERENCE NO
            </th>
            <th align="left">
                Name
            </th>
            <th align="left">
                Mobile No
            </th>
            <th>
                Entry Type
            </th>
            <th>
                Status
            </th>
            <th>
                Last Updated
            </th>
            <th>
            </th>
        </tr>
        <tr>
            <td>
                <input id="txtRoll" type="text" value="@ViewBag.rollno" />
            </td>
            <td>
                <input id="txtName" type="text" value="@ViewBag.name" />
            </td>
            <td>
                <input id="txtMobile" type="text" value="@ViewBag.mobile" />
            </td>
            <td>
                <select id="txtentertype">
                    <option value="">All</option>
                    <option value="Enquiry">Enquiry</option>
                    <option value="Enquiry IELTS">Enquiry IELTS</option>
                    <option value="Prosp. Students IELTS">Prosp. Students IELTS</option>
                    <option value="Prosp. Students Mock Test">Prosp. Students Mock Test</option>
                </select>
                <input id="hdnentertype" type="hidden" value="@ViewBag.entertype" />
                @*<input id="txtentertype" type="text" value="@ViewBag.txtentertype" />*@
            </td>
            <td>
                <select id="txtstatus">
                    <option value="">All</option>
                    <option value="Open">Open</option>
                    <option value="Close">Close</option>
                </select>
                <input id="hdnstatus" type="hidden" value="@ViewBag.txtstatus" />
            </td>

            <td>
                @Html.DropDownList("txtlastupdated", (SelectList)ViewBag.val, "Select")@*,(SelectList)ViewBag.val, "Select"*@
                <input id="hdnlastupdated" type="hidden" value="@ViewBag.lastupdated" />
                @*<input id="txtlastupdated" type="text" value="@ViewBag.txtlastupdated " />*@

            </td>

            <td valign="top">
                <input type="button" id="btnSearch" value="Search" class="btn btn-primary" />
            </td>
        </tr>
    </table>

</div>
<div class="container-fluid">

    <div class="row-fluid">
        <div class="btn-toolbar">
            <div class="btn-group">
            </div>
        </div>
        <p class="datail_style">
            <table width="100%" align="center">
                <tr>
                    <td align="left" width="50%"></td>
                    <td align="right" width="50%">
                        Total: @ViewBag.TotalCount
                    </td>
                </tr>
            </table>
        </p>
        <div class="well">
            <table class="table table-striped" id="example">
                <thead>
                    <tr>
                        <th>
                            REFERENCE NO
                        </th>
                        <th>
                            Entry Type
                        </th>
                        <th>
                            Name
                        </th>
                        <th>
                            Mobile
                        </th>

                        <th>
                            Next Follow Up
                        </th>
                        <th>
                            Status
                        </th>
                        <th>
                            Remarks
                        </th>
                        <th>
                            Last Followup Updated
                        </th>
                        <th>
                        </th>
                    </tr>
                </thead>
                <tbody>

                    @foreach (var item in Model)
                    {
                        <tr>
                            <td>
                                @Html.DisplayFor(modelitem => item.rollno)
                            </td>
                            <td>
                                @Html.DisplayFor(modelitem => item.followtype)
                            </td>
                            <td>
                                <span onmouseover="showdetail(@cmutil.GetEnqId(item.rollno,item.EntryType))" onmouseout="hidedetail();">  @Html.DisplayFor(modelItem => item.SName)</span>
                            </td>
                            <td>
                                @Html.DisplayFor(modelItem => item.Mobile)
                            </td>
                            <td>
                                @{
                                    string nxtdate = string.Format("{0:dd MMM, yyyy}", item.followupdate);
                                }
                                @nxtdate

                            </td>
                            <td>
                                @item.status
                            </td>
                            <td width="100px" style="overflow: hidden">

                                @{
                                    string rem = item.remarks;

                                    if (rem != null)
                                    {
                                        if (rem.Length > 20)
                                        {
                                            string sustrg = rem.Substring(0, 20);
                                            @sustrg
                                            <br />
                                            <div class="box">
                                                <a id="remarks">Read-More...</a>
                                                <div class="overlay">
                                                    @rem
                                                </div>
                                            </div>
                                        }
                                        else
                                        {
                                            @rem
                                        }
                                    }
                                }

                            </td>

                            <td>
                                @item.lastupdated
                            </td>
                            <td>
                                @Html.ImageActionLink("../../Content/themes/base/images/sicon3.png", "EnqFollow", "_VisaCreate", "MaEnqFollow", new { id = item.referid, @visaid = item.Visaid, reftype = item.EntryType, name = item.SName, @vid = item.rollno }, new { @class = "editAcBtn" }, null)

                                @{

                                    if (item.type == "Admission")
                                    {
                                        int admisnid = db.MaAdmissions.Where(z => z.RollNo == item.rollno).Select(z => z.Id).FirstOrDefault();
                                        @Html.ImageActionLink("../../Content/themes/base/images/VisaDetail.png", "AddVisaDetail", "Create", "Tb_VisaPayment", new { id = admisnid, @referid = item.referid, visaid = item.Visaid, @reftype = item.followtype, @enqtype = item.type, @targat = "_blank" }, null, null)

                                    }
                                    else
                                    {
                                        @Html.ImageActionLink("../../Content/themes/base/images/VisaDetail.png", "AddVisaDetail", "Create", "Tb_VisaPayment", new { id = item.rollno, @referid = item.referid, @visaid = item.Visaid, @reftype = item.followtype, @enqtype = item.type, @targat = "_blank" }, null, null)

                                    }
                                }
                                <a href="/MaEnquiry/Details/@cmutil.GetEnqId(item.rollno,item.EntryType)" data-toggle="tooltip" title="Go to Enquiry" target="_blank"><img src="../../Content/themes/base/images/enquiry.png" /></a>

                            </td>
                        </tr>

                                    }
                </tbody>
            </table>
        </div>
     
        @*<div id="editDialog" title="Add IELTS Test Follow Up" style="width: 900px">
        </div>*@
    </div>
</div>
